package java.game.vehicles.BMW_635csi;

import java.game.*;
import java.game.parts.*;
import java.util.*;
import java.util.resource.*;

public class BMW_635csi_sounds
{

	static public void setTransmissionSounds( Chassis chassis, int Stage )
	{
		SfxTable tab;

		switch (Stage)
		{
			case 3:
				if (tab = chassis.getSfxTable(4))
				{
					tab.clear();
					tab.addItem(new ResourceRef(sound:0x0007r), 1.0, 10000.0, 1.0, 1.0, 0.9, 7.0);
				}

				if (tab = chassis.getSfxTable(5))
				{
					tab.clear();
					tab.addItem(new ResourceRef(sound:0x0009r), 1.0, 10000.0, 1.0, 1.0, 0.9, 8.0);
				}
				break;

			case 2:
				if (tab = chassis.getSfxTable(4))
				{
					tab.clear();
					tab.addItem(new ResourceRef(sound:0x0007r), 1.0, 10000.0, 0.6, 1.0, 0.8, 6.5);
				}

				if (tab = chassis.getSfxTable(5))
				{
					tab.clear();
					tab.addItem(new ResourceRef(sound:0x0009r), 1.0, 10000.0, 0.8, 1.0, 0.8, 6.5);
				}
				break;

			case 1:
				if (tab = chassis.getSfxTable(4))
				{
					tab.clear();
					tab.addItem(new ResourceRef(sound:0x0007r), 1.0, 10000.0, 0.3, 0.8, 0.75, 6.0);
				}

				if (tab = chassis.getSfxTable(5))
				{
					tab.clear();
					tab.addItem(new ResourceRef(sound:0x0009r), 1.0, 10000.0, 0.6, 1.0, 0.8, 6.0);
				}
				break;

			default:
				if (tab = chassis.getSfxTable(4))
				{
					tab.clear();
					tab.addItem(new ResourceRef(sound:0x0007r), 1.0, 10000.0, 0.1, 0.5, 0.75, 6.0);
				}

				if (tab = chassis.getSfxTable(5))
				{
					tab.clear();
					tab.addItem(new ResourceRef(sound:0x0009r), 1.0, 10000.0, 0.5, 1.0, 0.8, 6.0);
				}

				break;
		}
	}

	static public void setEngineSounds( Chassis chassis, int Stage )
	{
		SfxTable tab;

		switch (Stage)
		{
			case 3:
				chassis.SFX_ignition	= sound:0x0000000Ar;
				chassis.sfx_starter_rpm	= 200.0;

				if (tab = chassis.getSfxTable(0)) // WOT engine //
				{
					tab.clear();

					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000001r), 1010.0, 500.0, 2564.0, 1.0, 1.0);
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000002r), 4073.0, 1218.0, 5556.0, 1.0, 1.0);	
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000003r), 6457.0, 3461.0, 18000.0, 1.0, 1.0);	


				}

				if (tab = chassis.getSfxTable(1)) // CT engine //
				{
					tab.clear();

					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000001r), 1010.0, 500.0, 2564.0, 1.0, 1.0);  
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000011r), 4324.0, 1218.0, 5556.0, 1.0, 1.0); 	
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000012r), 6394.0, 3761.0, 18000.0, 1.0, 1.0);	

				}

				if (tab = chassis.getSfxTable(2)) // WOT exhaust //
				{
					tab.clear();

//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000011r), 750.0, 500.0, 1500.0, 1.0, 1.0);
//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000012r), 2000.0, 1000.0, 4000.0, 1.0, 1.0);
//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000013r), 3500.0, 3000.0, 18000.0, 1.0, 1.0);

					chassis.setSfxExhaustMinVol(1.0);
				}
				break;
			case 2:
				chassis.SFX_ignition	= sound:0x0000000Ar;
				chassis.sfx_starter_rpm	= 200.0;

				if (tab = chassis.getSfxTable(0)) // WOT engine //
				{
					tab.clear();

					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000001r), 1010.0, 500.0, 2564.0, 1.0, 1.0);
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000002r), 4073.0, 1218.0, 5556.0, 1.0, 1.0);	
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000003r), 6457.0, 3461.0, 18000.0, 1.0, 1.0);	


				}

				if (tab = chassis.getSfxTable(1)) // CT engine //
				{
					tab.clear();

					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000001r), 1010.0, 500.0, 2564.0, 1.0, 1.0);  
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000011r), 4324.0, 1218.0, 5556.0, 1.0, 1.0); 	
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000012r), 6394.0, 3761.0, 18000.0, 1.0, 1.0);	

				}

				if (tab = chassis.getSfxTable(2)) // WOT exhaust //
				{
					tab.clear();

//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000011r), 750.0, 500.0, 1500.0, 1.0, 1.0);
//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000012r), 2000.0, 1000.0, 4000.0, 1.0, 1.0);
//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000013r), 3500.0, 3000.0, 18000.0, 1.0, 1.0);

					chassis.setSfxExhaustMinVol(1.0);
				}
				break;
			case 1:
				chassis.SFX_ignition	= sound:0x0000000Ar;
				chassis.sfx_starter_rpm	= 200.0;

				if (tab = chassis.getSfxTable(0)) // WOT engine //
				{
					tab.clear();

					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000001r), 1010.0, 500.0, 2564.0, 1.0, 1.0);
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000002r), 4073.0, 1218.0, 5556.0, 1.0, 1.0);	
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000003r), 6457.0, 3461.0, 18000.0, 1.0, 1.0);	


				}

				if (tab = chassis.getSfxTable(1)) // CT engine //
				{
					tab.clear();

					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000001r), 1010.0, 500.0, 2564.0, 1.0, 1.0);  
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000011r), 4324.0, 1218.0, 5556.0, 1.0, 1.0); 	
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000012r), 6394.0, 3761.0, 18000.0, 1.0, 1.0);	

				}

				if (tab = chassis.getSfxTable(2)) // WOT exhaust //
				{
					tab.clear();

//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000011r), 750.0, 500.0, 1500.0, 1.0, 1.0);
//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000012r), 2000.0, 1000.0, 4000.0, 1.0, 1.0);
//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000013r), 3500.0, 3000.0, 18000.0, 1.0, 1.0);

					chassis.setSfxExhaustMinVol(1.0);
				}
				break;
			default:
				chassis.SFX_ignition	= sound:0x0000000Ar;
				chassis.sfx_starter_rpm	= 200.0;

				if (tab = chassis.getSfxTable(0)) // WOT engine //
				{
					tab.clear();

					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000001r), 1010.0, 500.0, 2564.0, 1.0, 1.0);
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000002r), 4073.0, 1218.0, 5556.0, 1.0, 1.0);	
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000003r), 6457.0, 3461.0, 18000.0, 1.0, 1.0);	


				}

				if (tab = chassis.getSfxTable(1)) // CT engine //
				{
					tab.clear();

					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000001r), 1010.0, 500.0, 2564.0, 1.0, 1.0);  
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000011r), 4324.0, 1218.0, 5556.0, 1.0, 1.0); 	
					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000012r), 6394.0, 3761.0, 18000.0, 1.0, 1.0);	

				}

				if (tab = chassis.getSfxTable(2)) // WOT exhaust //
				{
					tab.clear();

//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000020r), 2020.0, 1218.0, 7000.0, 0.0, 1.0);
//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000012r), 2000.0, 1000.0, 4000.0, 1.0, 1.0);
//					tab.addItem(new ResourceRef(vehicles.BMW_635csi.sounds:0x00000013r), 3500.0, 3000.0, 18000.0, 1.0, 1.0);

					chassis.setSfxExhaustMinVol(0.1);
				}
				break;
		}
	}
}
